{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
  <div class="col-sm-8">
    <h4 class="page-title">Add Inventory</h4>
  </div>
</div>
<form method="post" enctype="multipart/form-data">
  {{form.hidden_tag()}}
  <div class="card-box">
    <h3 class="card-title">Inventory Details</h3>
    <div class="row">
      <div class="col-md-12">
        <div class="profile-img-wrap">
          <img class="inline-block" src="{{url_for('static', filename='img/user.jpg')}}" alt="user">
          <div class="fileupload btn btn-default">
            <span class="btn-text">add</span>
            {{form.image(class='upload')}}
            {%for error in form.image.errors%}
            <span style="color:red">{{error}}</span>
            {% endfor %}
          </div>
        </div>
        <div class="profile-basic">
          <div class="row">
            <div class="col-md-6">
              <div class="form-group form-focus form-focus">
                <label class="control-label">Year</label>
                {{form.year(class="select floating")}}
                {%for error in form.year.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Make</label>
                {{form.make(class="select floating")}}
                {%for error in form.make.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Model</label>
                {{form.model(class="select floating")}}
                {%for error in form.model.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus select-focus">
                <label class="control-label">Plate</label>
                {{form.plate(class='form-control floating')}}
                {%for error in form.plate.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus form-focus">
                <label class="control-label">Price</label>
                {{form.price(class='form-control floating')}}
                {%for error in form.price.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus form-focus">
                <label class="control-label">Arrival date</label>
                {{form.arrival_date(class="form-control datetimepicker", id="datetimepicker1")}}
                {%for error in form.arrival_date.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="card-box">
          <h3 class="card-title">Additional features</h3>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group form-focus select-focus">
                <label class="control-label">Color</label>
                {{form.color(class='form-control floating')}}
                {%for error in form.color.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Fuel</label>
                {{form.fuel(class='form-control floating')}}
                {%for error in form.fuel.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Transmission</label>
                {{form.transmission(class='form-control floating')}}
                {%for error in form.transmission.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Body</label>
                {{form.body(class='form-control floating')}}
                {%for error in form.body.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus">
                <label class="control-label">Engine</label>
                {{form.engine(class='form-control floating')}}
                {%for error in form.engine.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group form-focus form-focus">
                <label class="control-label">Mileage</label>
                {{form.mileage(class='form-control floating')}}
                {%for error in form.mileage.errors%}
                <span style="color:red">{{error}}</span>
                {% endfor %}
              </div>
            </div>
          </div>
        </div>
        <div class="text-center m-t-20">
          {{form.submit(class='btn btn-primary btn-lg')}}
        </div>
</form>
</div>
{% endblock %}
{% block scripts %}
{{super()}}
<script type="text/javascript">
$(document).ready(function(){
  var dropdown = {
      year: $('#car-years'),
      make: $('#car-makes'),
      model:$('#car-models')
  };

  updateMake();

  function updateMake() {
      var send = {
          year: dropdown.year.val()
      };
      dropdown.make.attr('disabled', 'disabled');
      dropdown.make.empty();
      $.getJSON("{{ url_for('main._get_make') }}", send, function(data) {
          data.forEach(function(item) {
              dropdown.make.append(
                  $('<option>', {
                      value: item[0],
                      text: item[1]
                  })
              );
          });
          dropdown.make.removeAttr('disabled');
          updateModel();
      });
  }

  function updateModel() {
      var send = {
          make: dropdown.make.val(),
          year: dropdown.year.val()
      };
      dropdown.model.attr('disabled', 'disabled');
      dropdown.model.empty();
      $.getJSON("{{ url_for('main._get_model') }}", send, function(data) {
          data.forEach(function(item) {
              dropdown.model.append(
                  $('<option>', {
                      value: item[0],
                      text: item[1]
                  })
              );
          });
          dropdown.model.removeAttr('disabled');
      });
  }

  dropdown.year.on('change', function() {
      updateMake();
  });

  dropdown.make.on('change', function() {
      updateModel();
  });
});
</script>
{%endblock%}
